Namespace
library
Image / Tag
swift:6.1.3
Content Digest
sha256:fddaf02db3d41844916167ef4d199d5ca14c6003d052a0b9ab579646a9c720ec
Details
Created

2026-08-04 01:53:30 UTC

Size

1010 MB

Content Digest
Labels
  • description
    Docker Container for the Swift programming language
  • maintainer
    Swift Infrastructure <swift-infrastructure@forums.swift.org>
  • org.opencontainers.image.version
    24.04

Environment
PATH

/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin

SWIFT_BRANCH

swift-6.1.3-release

SWIFT_PLATFORM

ubuntu24.04

SWIFT_SIGNING_KEY

52BB7E3DE28A71BE22EC05FFEF80A866B47A981F

SWIFT_VERSION

swift-6.1.3-RELEASE

SWIFT_WEBROOT

https://download.swift.org


Layers

[#000] sha256:966c395d29cb24a3faf7e04f32878fe5778819d4132daee4f47e2aaf7b9af924 - 2.81% (28.4 MB)

[#001] sha256:0e495879f5dfa3e1e6c55557ed8ed31202f5b407bf3d989efe97750db70b1ac7 - 12.48% (126 MB)

[#002] sha256:2e7a244005211e2d1f5a6eee279008b949dcfa8f160ef6ed8de038612d19d53c - 84.71% (856 MB)

[#003] sha256:dee4ae990fad8f9a6bbefb657b7332416ba0d72fd80ded12cb803a14826d5ac9 - 0.0% (174 Bytes)


History
2026-07-31 20:37:20 UTC

/bin/sh -c #(nop) ARG RELEASE

2026-07-31 20:37:20 UTC

/bin/sh -c #(nop) ARG LAUNCHPAD_BUILD_ARCH

2026-07-31 20:37:20 UTC

/bin/sh -c #(nop) LABEL org.opencontainers.image.version=24.04

2026-07-31 20:37:22 UTC

/bin/sh -c #(nop) ADD file:d938ff3d4eee15d8600de84bf85eac6ecd0f20bc92dfe305dafbff0bdc974c0f in /

2026-07-31 20:37:23 UTC

/bin/sh -c #(nop) CMD ["/bin/bash"]

2026-08-04 01:52:52 UTC (buildkit.dockerfile.v0)

LABEL maintainer=Swift Infrastructure <swift-infrastructure@forums.swift.org>

2026-08-04 01:52:52 UTC (buildkit.dockerfile.v0)

LABEL description=Docker Container for the Swift programming language

2026-08-04 01:52:52 UTC (buildkit.dockerfile.v0)

RUN /bin/sh -c export DEBIAN_FRONTEND=noninteractive DEBCONF_NONINTERACTIVE_SEEN=true && apt-get -q update && apt-get -q install -y binutils git unzip gnupg2 libc6-dev libcurl4-openssl-dev libedit2 libgcc-13-dev libpython3-dev libsqlite3-0 libstdc++-13-dev libxml2-dev libncurses-dev libz3-dev pkg-config tzdata zlib1g-dev && rm -r /var/lib/apt/lists/* # buildkit

2026-08-04 01:52:52 UTC (buildkit.dockerfile.v0)

ARG SWIFT_SIGNING_KEY=52BB7E3DE28A71BE22EC05FFEF80A866B47A981F

2026-08-04 01:52:52 UTC (buildkit.dockerfile.v0)

ARG SWIFT_PLATFORM=ubuntu24.04

2026-08-04 01:52:52 UTC (buildkit.dockerfile.v0)

ARG SWIFT_BRANCH=swift-6.1.3-release

2026-08-04 01:52:52 UTC (buildkit.dockerfile.v0)

ARG SWIFT_VERSION=swift-6.1.3-RELEASE

2026-08-04 01:52:52 UTC (buildkit.dockerfile.v0)

ARG SWIFT_WEBROOT=https://download.swift.org

2026-08-04 01:52:52 UTC (buildkit.dockerfile.v0)

ENV SWIFT_SIGNING_KEY=52BB7E3DE28A71BE22EC05FFEF80A866B47A981F SWIFT_PLATFORM=ubuntu24.04 SWIFT_BRANCH=swift-6.1.3-release SWIFT_VERSION=swift-6.1.3-RELEASE SWIFT_WEBROOT=https://download.swift.org

2026-08-04 01:53:30 UTC (buildkit.dockerfile.v0)

RUN |5 SWIFT_SIGNING_KEY=52BB7E3DE28A71BE22EC05FFEF80A866B47A981F SWIFT_PLATFORM=ubuntu24.04 SWIFT_BRANCH=swift-6.1.3-release SWIFT_VERSION=swift-6.1.3-RELEASE SWIFT_WEBROOT=https://download.swift.org /bin/sh -c set -e; ARCH_NAME="$(dpkg --print-architecture)"; url=; case "${ARCH_NAME##*-}" in 'amd64') OS_ARCH_SUFFIX=''; ;; 'arm64') OS_ARCH_SUFFIX='-aarch64'; ;; *) echo >&2 "error: unsupported architecture: '$ARCH_NAME'"; exit 1 ;; esac; SWIFT_WEBDIR="$SWIFT_WEBROOT/$SWIFT_BRANCH/$(echo $SWIFT_PLATFORM | tr -d .)$OS_ARCH_SUFFIX" && SWIFT_BIN_URL="$SWIFT_WEBDIR/$SWIFT_VERSION/$SWIFT_VERSION-$SWIFT_PLATFORM$OS_ARCH_SUFFIX.tar.gz" && SWIFT_SIG_URL="$SWIFT_BIN_URL.sig" && export DEBIAN_FRONTEND=noninteractive && apt-get -q update && apt-get -q install -y curl && rm -rf /var/lib/apt/lists/* && export GNUPGHOME="$(mktemp -d)" && curl -fsSL "$SWIFT_BIN_URL" -o swift.tar.gz "$SWIFT_SIG_URL" -o swift.tar.gz.sig && gpg --batch --quiet --keyserver keyserver.ubuntu.com --recv-keys "$SWIFT_SIGNING_KEY" && gpg --batch --verify swift.tar.gz.sig swift.tar.gz && tar -xzf swift.tar.gz --directory / --strip-components=1 && chmod -R o+r /usr/lib/swift && rm -rf "$GNUPGHOME" swift.tar.gz.sig swift.tar.gz && apt-get purge --auto-remove -y curl # buildkit

2026-08-04 01:53:30 UTC (buildkit.dockerfile.v0)

RUN |5 SWIFT_SIGNING_KEY=52BB7E3DE28A71BE22EC05FFEF80A866B47A981F SWIFT_PLATFORM=ubuntu24.04 SWIFT_BRANCH=swift-6.1.3-release SWIFT_VERSION=swift-6.1.3-RELEASE SWIFT_WEBROOT=https://download.swift.org /bin/sh -c swift --version # buildkit

Details
Created

2026-08-04 01:52:46 UTC

Size

1000 MB

Content Digest
Labels
  • description
    Docker Container for the Swift programming language
  • maintainer
    Swift Infrastructure <swift-infrastructure@forums.swift.org>
  • org.opencontainers.image.version
    24.04

Environment
PATH

/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin

SWIFT_BRANCH

swift-6.1.3-release

SWIFT_PLATFORM

ubuntu24.04

SWIFT_SIGNING_KEY

52BB7E3DE28A71BE22EC05FFEF80A866B47A981F

SWIFT_VERSION

swift-6.1.3-RELEASE

SWIFT_WEBROOT

https://download.swift.org


Layers

[#000] sha256:d23996caa910b8e5029375ee7c7ec02ef8bae3d85194897323e7145071299ac9 - 2.75% (27.5 MB)

[#001] sha256:095e1a2427670eac1f35675eb10b5398cba5105878dbb298d3a669610295f36f - 12.29% (123 MB)

[#002] sha256:2d582c852a9dba411f87a085f1d697447df91082174222f2aa58f4f8324f9114 - 84.96% (850 MB)

[#003] sha256:f92df5feb44b2c8f8dc5a903bc9e3b1811ded37f5bd99c7579ca6856fbd96db5 - 0.0% (174 Bytes)


History
2026-07-31 20:45:33 UTC

/bin/sh -c #(nop) ARG RELEASE

2026-07-31 20:45:33 UTC

/bin/sh -c #(nop) ARG LAUNCHPAD_BUILD_ARCH

2026-07-31 20:45:33 UTC

/bin/sh -c #(nop) LABEL org.opencontainers.image.version=24.04

2026-07-31 20:45:37 UTC

/bin/sh -c #(nop) ADD file:695c79b2217675519eeed9028b8e5d7ae9915817a49f5bf34e80ad57197f07f6 in /

2026-07-31 20:45:37 UTC

/bin/sh -c #(nop) CMD ["/bin/bash"]

2026-08-04 01:52:09 UTC (buildkit.dockerfile.v0)

LABEL maintainer=Swift Infrastructure <swift-infrastructure@forums.swift.org>

2026-08-04 01:52:09 UTC (buildkit.dockerfile.v0)

LABEL description=Docker Container for the Swift programming language

2026-08-04 01:52:09 UTC (buildkit.dockerfile.v0)

RUN /bin/sh -c export DEBIAN_FRONTEND=noninteractive DEBCONF_NONINTERACTIVE_SEEN=true && apt-get -q update && apt-get -q install -y binutils git unzip gnupg2 libc6-dev libcurl4-openssl-dev libedit2 libgcc-13-dev libpython3-dev libsqlite3-0 libstdc++-13-dev libxml2-dev libncurses-dev libz3-dev pkg-config tzdata zlib1g-dev && rm -r /var/lib/apt/lists/* # buildkit

2026-08-04 01:52:09 UTC (buildkit.dockerfile.v0)

ARG SWIFT_SIGNING_KEY=52BB7E3DE28A71BE22EC05FFEF80A866B47A981F

2026-08-04 01:52:09 UTC (buildkit.dockerfile.v0)

ARG SWIFT_PLATFORM=ubuntu24.04

2026-08-04 01:52:09 UTC (buildkit.dockerfile.v0)

ARG SWIFT_BRANCH=swift-6.1.3-release

2026-08-04 01:52:09 UTC (buildkit.dockerfile.v0)

ARG SWIFT_VERSION=swift-6.1.3-RELEASE

2026-08-04 01:52:09 UTC (buildkit.dockerfile.v0)

ARG SWIFT_WEBROOT=https://download.swift.org

2026-08-04 01:52:09 UTC (buildkit.dockerfile.v0)

ENV SWIFT_SIGNING_KEY=52BB7E3DE28A71BE22EC05FFEF80A866B47A981F SWIFT_PLATFORM=ubuntu24.04 SWIFT_BRANCH=swift-6.1.3-release SWIFT_VERSION=swift-6.1.3-RELEASE SWIFT_WEBROOT=https://download.swift.org

2026-08-04 01:52:46 UTC (buildkit.dockerfile.v0)

RUN |5 SWIFT_SIGNING_KEY=52BB7E3DE28A71BE22EC05FFEF80A866B47A981F SWIFT_PLATFORM=ubuntu24.04 SWIFT_BRANCH=swift-6.1.3-release SWIFT_VERSION=swift-6.1.3-RELEASE SWIFT_WEBROOT=https://download.swift.org /bin/sh -c set -e; ARCH_NAME="$(dpkg --print-architecture)"; url=; case "${ARCH_NAME##*-}" in 'amd64') OS_ARCH_SUFFIX=''; ;; 'arm64') OS_ARCH_SUFFIX='-aarch64'; ;; *) echo >&2 "error: unsupported architecture: '$ARCH_NAME'"; exit 1 ;; esac; SWIFT_WEBDIR="$SWIFT_WEBROOT/$SWIFT_BRANCH/$(echo $SWIFT_PLATFORM | tr -d .)$OS_ARCH_SUFFIX" && SWIFT_BIN_URL="$SWIFT_WEBDIR/$SWIFT_VERSION/$SWIFT_VERSION-$SWIFT_PLATFORM$OS_ARCH_SUFFIX.tar.gz" && SWIFT_SIG_URL="$SWIFT_BIN_URL.sig" && export DEBIAN_FRONTEND=noninteractive && apt-get -q update && apt-get -q install -y curl && rm -rf /var/lib/apt/lists/* && export GNUPGHOME="$(mktemp -d)" && curl -fsSL "$SWIFT_BIN_URL" -o swift.tar.gz "$SWIFT_SIG_URL" -o swift.tar.gz.sig && gpg --batch --quiet --keyserver keyserver.ubuntu.com --recv-keys "$SWIFT_SIGNING_KEY" && gpg --batch --verify swift.tar.gz.sig swift.tar.gz && tar -xzf swift.tar.gz --directory / --strip-components=1 && chmod -R o+r /usr/lib/swift && rm -rf "$GNUPGHOME" swift.tar.gz.sig swift.tar.gz && apt-get purge --auto-remove -y curl # buildkit

2026-08-04 01:52:46 UTC (buildkit.dockerfile.v0)

RUN |5 SWIFT_SIGNING_KEY=52BB7E3DE28A71BE22EC05FFEF80A866B47A981F SWIFT_PLATFORM=ubuntu24.04 SWIFT_BRANCH=swift-6.1.3-release SWIFT_VERSION=swift-6.1.3-RELEASE SWIFT_WEBROOT=https://download.swift.org /bin/sh -c swift --version # buildkit

Danger Zone
Delete Tag

Please be careful as this will not just delete the reference but also the actual content!

For example when you have latest and v1.2.3 both pointing to the same image
the deletion of latest will also permanently remove v1.2.3.

Delete